package com.ff.base.enums;

import lombok.Getter;

/**
 * 域类型
 *
 * @author shi
 * @date 2025/01/04
 */
@Getter
public enum DomainType {
    WILDCARD_DOMAIN(1, "泛解析域名"),
    ROOT_DOMAIN(2, "根域名"),
    SUB_DOMAIN(3, "子域名");

    private final int value;
    private final String description;

    DomainType(int value, String description) {
        this.value = value;
        this.description = description;
    }
}